Bug 821505 - [abrt] kernel: BUG: Bad page state in process qemu-kvm pfn:101085
[abrt] kernel: BUG: Bad page state in process qemu-kvm pfn:101085
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:cb519bb685d425387eb9652a895...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 13:50 EDT by Jeff Peeler
Modified: 2012-09-18 12:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 12:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Peeler 2012-05-14 13:50:21 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.5-2.fc16.x86_64 root=/dev/mapper/vg_group-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_group/lv_root rd.lvm.lv=vg_group/lv_swap rd.luks.uuid=luks-fe4efff0-3a60-40e9-b45d-1ea7681860fd KEYTABLE=us rhgb SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8
comment:        Was using oz to install a 64-bit version of Fedora.
kernel:         3.3.5-2.fc16.x86_64
reason:         BUG: Bad page state in process qemu-kvm  pfn:101085
time:           Mon 14 May 2012 12:49:55 PM EDT

backtrace:
:BUG: Bad page state in process qemu-kvm  pfn:101085
:page:ffffea0004042140 count:0 mapcount:0 mapping:          (null) index:0x7f205ff44
:page flags: 0x40000000000014(referenced|dirty)
:Modules linked in: xt_conntrack tcp_lp ppdev parport_pc lp parport fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio rfcomm ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables xts gf128mul dm_crypt snd_hda_codec_hdmi snd_hda_codec_conexant arc4 snd_hda_intel snd_hda_codec snd_hwdep vhost_net macvtap macvlan tun snd_seq iwlwifi mac80211 btusb bluetooth uvcvideo cfg80211 virtio_net videobuf2_core videodev media snd_seq_device snd_pcm e1000e tpm_tis thinkpad_acpi videobuf2_vmalloc kvm_intel kvm tpm rfkill uinput videobuf2_memops microcode iTCO_wdt iTCO_vendor_support snd_timer snd soundcore i2c_i801 joydev snd_page_alloc sunrpc tpm_bios sdhci_pci 
:sdhci firewire_ohci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 17509, comm: qemu-kvm Not tainted 3.3.5-2.fc16.x86_64 #1
:Call Trace:
: [<ffffffff811279bf>] bad_page+0xbf/0x110
: [<ffffffff811290e0>] get_page_from_freelist+0x6e0/0x8b0
: [<ffffffff81129575>] __alloc_pages_nodemask+0x125/0x8f0
: [<ffffffff812c5e4e>] ? radix_tree_lookup_slot+0xe/0x10
: [<ffffffff811204cd>] ? find_get_page+0x2d/0xd0
: [<ffffffff8123df4b>] ? start_this_handle+0x46b/0x4e0
: [<ffffffff811608e3>] alloc_pages_current+0xa3/0x110
: [<ffffffff81120787>] __page_cache_alloc+0x97/0xa0
: [<ffffffff81120b65>] grab_cache_page_write_begin+0x65/0xe0
: [<ffffffff811ff5c0>] ext4_da_write_begin+0xa0/0x210
: [<ffffffff81120322>] generic_file_buffered_write+0x112/0x290
: [<ffffffff81121b99>] __generic_file_aio_write+0x229/0x440
: [<ffffffff81121e22>] generic_file_aio_write+0x72/0xe0
: [<ffffffff811f90cf>] ext4_file_write+0xbf/0x260
: [<ffffffff81088e30>] ? try_to_wake_up+0x2b0/0x2b0
: [<ffffffff811f9010>] ? ext4_file_mmap+0x60/0x60
: [<ffffffff81181913>] do_sync_readv_writev+0xd3/0x110
: [<ffffffff8126f678>] ? selinux_file_permission+0xe8/0x130
: [<ffffffff8126970c>] ? security_file_permission+0x2c/0xb0
: [<ffffffff81181011>] ? rw_verify_area+0x61/0xf0
: [<ffffffff81181be4>] do_readv_writev+0xd4/0x1d0
: [<ffffffff8106bc26>] ? group_send_sig_info+0x56/0x70
: [<ffffffff8106bd4f>] ? kill_pid_info+0x3f/0x60
: [<ffffffff8106d282>] ? sys_kill+0x92/0x1a0
: [<ffffffff81181d1c>] vfs_writev+0x3c/0x50
: [<ffffffff8118205a>] sys_pwritev+0xba/0xc0
: [<ffffffff815fc2e9>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: cc4135a4-c9b8-43f9-88fe-05d104b21dfa
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5382.38
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3838
:System Swap: 6013
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.5-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8655) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, R5C832 PCIe IEEE 1394 Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_group-lv_root / ext4 4096 4096 25561025 6508296 5228296 6406144 6093398 6093398
:/dev/sda1 /boot ext4 4096 4096 511026 475372 449772 128000 127727 127727
:/dev/mapper/luks-cf5a3c2d-1414-49fc-8aed-bc8d648f0240 /home ext4 4096 4096 94332347 90435961 85714118 23609344 23522594 23522594
:
Comment 1 Josh Boyer 2012-09-18 11:29:22 EDT
Jeff, do you see this with the 3.4 or 3.5 kernel updates?
Comment 2 Jeff Peeler 2012-09-18 11:34:21 EDT
I haven't seen this problem in a while. Maybe it's safe to go ahead and close.
Comment 3 Josh Boyer 2012-09-18 12:23:27 EDT
OK, we'll close it out.  If you see it again, please reopen with the relevant details.

Note You need to log in before you can comment on or make changes to this bug.